xContour | R Documentation

## Function to visualise a numeric matrix as a contour plot

### Description

`xContour` is supposed to visualise a numeric matrix as a contour plot.

### Usage

    xContour(data, main = "", xlab = "", ylab = "", key = "",
    nlevels = 50,
    colormap = c("darkblue-lightblue-lightyellow-darkorange", "bwr", "jet",
    "gbr", "wyr", "br", "yr", "rainbow", "wb"), highlight = c("none",
    "min", "max"), highlight.col = "white", x.label.cex = 0.95,
    x.label.srt = 30, signature = FALSE, ...)

### Arguments

`data` | a numeric matrix for the contour plot
`main` | an overall title for the plot
`xlab` | a title for the x axis. If specified, it will override 'names(dimnames(data))[1]'
`ylab` | a title for the y axis. If specified, it will override 'names(dimnames(data))[2]'
`key` | a title for the key plot (on the right)
`nlevels` | the number of levels to partition the input matrix values. The same level has the same color mapped to
`colormap` | short name for the colormap. It can be one of "jet" (jet colormap), "bwr" (blue-white-red colormap), "gbr" (green-black-red colormap), "wyr" (white-yellow-red colormap), "br" (black-red colormap), "yr" (yellow-red colormap), "wb" (white-black colormap), and "rainbow" (rainbow colormap, that is, red-yellow-green-cyan-blue-magenta). Alternatively, any hyphen-separated HTML color names, e.g. "blue-black-yellow", "royalblue-white-sandybrown", "darkgreen-white-darkviolet". A list of standard color names can be found in http://html-color-codes.info/color-names
`highlight` | how to highlight the point. It can be 'none' for no highlight (by default), 'min' for highlighting the point with the minimum value of the matrix, and 'max' for highlighting the point with the maximum value of the matrix
`highlight.col` | the highlight colors
`x.label.cex` | the x-axis label size
`x.label.srt` | the x-axis label angle (in degree from horizontal)
`signature` | a logical to indicate whether the signature is assigned to the plot caption. By default, it sets FALSE
`...` | additional graphic parameters. For most parameters, please refer to http://stat.ethz.ch/R-manual/R-devel/library/graphics/html/filled.contour.html

### Value

invisible

### Note

none

### See Also

`xContour`

### Examples

    x <- y <- seq(-4*pi, 4*pi, len=10)
    r <- sqrt(outer(x^2, y^2, "+"))
    data <- cos(r^2)*exp(-r/(2*pi))
    xContour(data)
    #xContour(data, signature=TRUE)